<?
include_once('includes/top.php');
include_once('opendb.php');
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
$fromdt=$_REQUEST['fromdt'];
$todt=$_REQUEST['todt'];
//$br=$_SESSION['branch'];
if(strlen($user)<=0)
{
  print "<script> alert('Invalid User'); document.location='inde.php' </script>";
  return;
}

?>
<link href="css/form.css" type="text/css" rel="stylesheet" media="screen"  />
<html>
<body >

<title>Sales Register</title>
<link rel="stylesheet" href="style.css" type="text/css" />
<script type="text/javascript" src="scripts/jquery-latest.js"></script>
<link type="text/css" href="includes/style1.css" rel="stylesheet" />
<link type="text/css" href="css/form.css" rel="stylesheet" />
<link rel="stylesheet" href="cal/jquery-ui.css" />
<script src="cal/jquery-1.9.1.js"></script>
<script src="cal/jquery-ui1.js"></script>
<link rel="stylesheet" href="/resources/demos/style.css" />
<script type="text/javascript">
$(function() {
$( "#ref_date" ).datepicker("destroy");
     var fyr=document.getElementById('f_yr').value;
     var splv=fyr.explode("-");
     var syr=splv[0];
     var eyr='20'.concat(splv[1]);
     var syr1='01-04-';
     var eyr1='31-03-';
     var stfnyr=syr1.concat(syr);
     var efnyr=eyr1.concat(eyr);
     $("#ref_date").datepicker({ dateFormat: 'dd-mm-yy', minDate: stfnyr, maxDate: efnyr});

$( "#ref_date1" ).datepicker("destroy");
     var fyr=document.getElementById('f_yr').value;
     var splv=fyr.explode("-");
     var syr=splv[0];
     var eyr='20'.concat(splv[1]);
     var syr1='01-04-';
     var eyr1='31-03-';
     var stfnyr=syr1.concat(syr);
     var efnyr=eyr1.concat(eyr);
     $("#ref_date1").datepicker({ dateFormat: 'dd-mm-yy', minDate: stfnyr, maxDate: efnyr});
});
</script>
<script>
function valid()
{
}
</script>
<style>
#txt{
font-family: Arial, Helvetica;
background-color: #F2F2F2;
}
</style>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script type="text/javascript">
window.onload = function(){
new JsDatePick({
  useMode:2,
  target:"inputField",
  dateFormat:"%Y-%m-%d"
});
new JsDatePick({
  useMode:2,
  target:"inputField1",
  dateFormat:"%Y-%m-%d"
});

};
</script>

<SCRIPT LANGUAGE="JavaScript" SRC="util/PopupWindow.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/AnchorPosition.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/CalendarPopup.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/date.js"></SCRIPT>
<script>

var cal1 = new CalendarPopup();
cal1.showYearNavigation();

var cal2 = new CalendarPopup();
cal2.showYearNavigation();

</script>
<style>
th{
    // background-color: grey;
    font-weight: bold;
    color: white;
    border:1px solid #D7D7D1;
    border-collapse:collapse;
background: rgb(181,189,200); /* Old browsers */
background: -moz-linear-gradient(top, rgba(181,189,200,1) 0%, rgba(130,140,149,1) 36%, rgba(40,52,59,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(181,189,200,1)), color-stop(36%,rgba(130,140,149,1)), color-stop(100%,rgba(40,52,59,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* IE10+ */
background: linear-gradient(to bottom, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b5bdc8', endColorstr='#28343b',GradientType=0 ); /* IE6-9 */
}
.ro_settled td
{
background: #6bba70; /* Old browsers */
background: -moz-linear-gradient(top, #6bba70 0%, #6bba70 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6bba70), color-stop(100%,#6bba70)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* IE10+ */
background: linear-gradient(to bottom, #6bba70 0%,#6bba70 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6bba70', endColorstr='#6bba70',GradientType=0 ); /* IE6-9 */
color:white;
}
.ro_settl td
{
background: #6bba70; /* Old browsers */
background: -moz-linear-gradient(top, #6bba70 0%, #6bba70 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6bba70), color-stop(100%,#6bba70)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* IE10+ */
background: linear-gradient(to bottom, #6bba70 0%,#6bba70 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6bba70', endColorstr='#6bba70',GradientType=0 ); /* IE6-9 */
color:red;
}
</style>
<body background="back_ground.jpg">
<?php //include('logo2.php'); ?>
<?php //include('includes/top.php'); ?>
<form action='<?print $PHP_SELF?>' name="f1" method='post' >
<br>
<table class="container"><tr><td>
<br>
<center>
<?
$tax_qry=mysqli_query($db,"select gname from groupmaster");
?>
<table class="form" style="width:auto;" align='center' >
<tr><th style="background:grey;">VAT REPORT</th></tr>
<tr><td><input type=hidden name='f_yr' id='f_yr' value='<? echo $fin_year ?>'>Show Report From
<? if($fromdt > 0){?>
<input type="text" id="ref_date" value="<?echo $fromdt;?>" name="fromdt" readonly  >
<?} else {?>
<input type="text" id="ref_date" value="<?echo date('d-m-Y');?>" name="fromdt" readonly  >
<?}?>
<? if($todt > 0){?>
To <input type="text" id="ref_date1" name="todt" value="<?echo $todt;?>" readonly > </td></tr>
<?} else {?>
To <input type="text" id="ref_date1" name="todt" value="<?echo date('d-m-Y');?>" readonly > </td></tr>
<?}?>
<tr><td align='center'>Select Item Group :<select name='type' ><option>All</option>
<?
while($row=mysqli_fetch_array($tax_qry))
{
  print "<option>$row[0]</option>";
}?>
        </select>
<input type='submit' name='show' value='Show' ><input type=button value="Print Report" onclick=conslfn()><input type=button value="Excel" onclick=excelfn()></td></tr></form>
</table>
<br><br>
<?
if(isset($_POST['show']))
{
  $fromdt=$_REQUEST['fromdt'];
  $todt=$_REQUEST['todt'];
  $fromdt=implode('-', array_reverse(explode('-', $fromdt)));
  $todt=implode('-', array_reverse(explode('-', $todt)));
  $type=$_REQUEST['type'];
  if ($type == 'All')
    $qry=mysqli_query($db,"select gname,sum(befrtx),sum(taxamt),sum(nettot),invno,group_concat(item),invdate,sum(total),tax from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' group by gname,invdate,invno");
  else
    $qry=mysqli_query($db,"select gname,sum(befrtx),sum(taxamt),sum(nettot),invno,group_concat(item),invdate,sum(total),tax from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' and gname = '$type' group by tax,invdate,invno");



  //$qry=mysqli_query($db,"select gname,sum(befrtx),sum(taxamt),sum(nettot),invno,group_concat(item),invdate,sum(total),tax from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' and gname = '$type' group by gname,invdate,invno");
  print "<table class='report' border='1'>";
  $mfrom_date = implode('-', array_reverse(explode('-', $fromdt)));
  $mto_date = implode('-', array_reverse(explode('-', $todt)));
  print "<tr><th COLSPAN=11>MONTHLY VAT REGISTER FOR THE PERIOD FROM <$mfrom_date> TO <$mto_date></th>";
  print "<tr><th>BillNo</th><th>Date</th><th>Descripton</th><th>Sales</th><th>VAT Collected</th><th>Total Amount</th><th>Item Details</th>";
  $colspan=6;
  $mstr[]='';
  $i=1;
  $mgname1 = '.';
  $mtot_befrtx = 0;
  $mtot_taxamt = 0;
  $mtot_nettot = 0;
  $mgr_befrtx = 0;
  $mgr_taxamt = 0;
  $mgr_nettot = 0;
  $ctr=0;
    $ctr_flg = 0;
  $mbill_to = "";
    $minv_date = ".";
    $mgrp_befrtx = 0;
    $mgrp_taxamt = 0;
    $mgrp_nettot = 0;
  while($row=mysqli_fetch_array($qry))
    {
        if($ctr_flg++==0)
            $mbill_frm = $row[4];
    if($mgname1 <> $row[0])
    {
      if($mgname1 <> '.')
      {
                $mdate = implode('-', array_reverse(explode('-', $minv_date)));
                $mgrp_befrtx += $mtot_befrtx;
                $mgrp_taxamt += $mtot_taxamt;
                $mgrp_nettot += $mtot_nettot;
                print "<tr><td><b>$mbill_frm - $mbill_to</td><td>$mdate</td><td><b>$mgname1</td><td align='right'><b>".number_format($mtot_befrtx,2,'.',',')."</td><td align='right'><b>".number_format($mtot_taxamt,2,'.',',')."</td><td align='right'><b>".number_format($mtot_nettot,2,'.',',')."</td><td><b>$mdesc</td></tr>";
        $mtot_befrtx = 0;
        $mtot_taxamt = 0;
        $mtot_nettot = 0;
                $mbill_frm = $row[4];
                $mgr_befrtx += $mgrp_befrtx;
                $mgr_taxamt += $mgrp_taxamt;
                $mgr_nettot += $mgrp_nettot;
                print "<tr><td><b>$mgname1 Total</td><td></td><td><b></td><td align='right'><b>".number_format($mgrp_befrtx,2,'.',',')."</td><td align='right'><b>".number_format($mgrp_taxamt,2,'.',',')."</td><td align='right'><b>".number_format($mgrp_nettot,2,'.',',')."</td><td><b>$mdesc</td></tr>";
                $mgrp_befrtx = 0;
                $mgrp_taxamt = 0;
                $mgrp_nettot = 0;
                //print "<tr><td><b>$mgname1 Total</td><td></td><td><b></td><td align='right'><b>".number_format($mtot_befrtx,2,'.',',')."</td><td align='right'><b>".number_format($mtot_taxamt,2,'.',',')."</td><td align='right'><b>".number_format($mtot_nettot,2,'.',',')."</td><td><b>$mdesc</td></tr>";
                $minv_date = $row[6];
            }
      $mgname1 = $row[0];
    }
        if($minv_date <> $row[6])
    {
      if($minv_date <> '.')
      {
                $mdate = implode('-', array_reverse(explode('-', $minv_date)));
                $mgrp_befrtx += $mtot_befrtx;
                $mgrp_taxamt += $mtot_taxamt;
                $mgrp_nettot += $mtot_nettot;
        print "<tr><td><b>$mbill_frm - $mbill_to</td><td><b>$mdate</td><td><b>$mgname1</td><td align='right'><b>".number_format($mtot_befrtx,2,'.',',')."</td><td align='right'><b>".number_format($mtot_taxamt,2,'.',',')."</td><td align='right'><b>".number_format($mtot_nettot,2,'.',',')."</td><td><b>$mdesc</td></tr>";
        $mtot_befrtx = 0;
        $mtot_taxamt = 0;
        $mtot_nettot = 0;
                $mbill_frm = $row[4];
            }
      $minv_date = $row[6];
    }
        if($row[8]>0)
            $mtot_befrtx += $row[1];
        else
            $mtot_befrtx += $row[7];
        $mtot_taxamt += $row[2];
        $mtot_nettot += $row[3];
        $mdesc = $row[5];
        $mbill_to = $row[4];
        $minv_date = $row[6];
    $i++;
  }
    $mgrp_befrtx += $mtot_befrtx;
    $mgrp_taxamt += $mtot_taxamt;
    $mgrp_nettot += $mtot_nettot;
    $mgr_befrtx += $mgrp_befrtx;
    $mgr_taxamt += $mgrp_taxamt;
    $mgr_nettot += $mgrp_nettot;
    $mdate = implode('-', array_reverse(explode('-', $minv_date)));
    print "<tr><td><b>$mbill_frm - $mbill_to</td><td><b>$mdate</td><td><b>$mgname1</td><td align='right'><b>".number_format($mtot_befrtx,2,'.',',')."</td><td align='right'><b>".number_format($mtot_taxamt,2,'.',',')."</td><td align='right'><b>".number_format($mtot_nettot,2,'.',',')."</td><td><b>$mdesc</td></tr>";
    print "<tr><td><b>$mgname1 Total</td><td></td><td><b></td><td align='right'><b>".number_format($mgrp_befrtx,2,'.',',')."</td><td align='right'><b>".number_format($mgrp_taxamt,2,'.',',')."</td><td align='right'><b>".number_format($mgrp_nettot,2,'.',',')."</td><td><b>$mdesc</td></tr>";
    print "<tr><td colspan=3 align='center'><b>T O T A L</td><td align='right'><b>".number_format($mgr_befrtx,2,'.',',')."</td><td align='right'><b>".number_format($mgr_taxamt,2,'.',',')."</td><td align='right'><b>".number_format($mgr_nettot,2,'.',',')."</td><td></td></tr>";
  print "</table>";
}
?>
<script>
  function conslfn()
 {
   var dfrom=document.f1.fromdt.value;
   var dto=document.f1.todt.value;
         var type=document.f1.type.value;
     document.location="stax_salesdayprn.php?df="+dfrom+"&&dt="+dto+"&&type="+type;

 }
 function excelfn()
 {
           var dfrom=document.f1.fromdt.value;
           var dto=document.f1.todt.value;
           var type=document.f1.type.value;
            document.location="stax_salesday_excel.php?df="+dfrom+"&&dt="+dto+"&&type="+type,true;
 }
 </script>